View Issue Details

Category
SSPBT:ゴースト
SeverityminorReproducibilityalways 
Status closed 
Fixed in Version2.5 (リリース) 
Summary0000132: start and alternativestart drawing methods sometimes have a tiny bit of delay
Description

This is a simplified version of the code I've set up. I've been setting up animation loops with start/alternative start, but I've noticed that sometimes when it loops, it flickers back to the default for just a moment, enough to be noticable. Even if you use Adjust SERIKO Wait in the dev pallete, the flicker seems to happen at the same speed. This leads me to believe it's a bug.

animation1102.interval,never
animation1102.pattern0,overlay,601,-1,0,0
animation1102.pattern1,overlay,-1,10,0,0
animation1102.pattern2,start,1102

I'll attach a gif of the flicker happening. Note that I've decreased the weight values significantly to show the effects of the flicker more clearly, the actual animations I'm trying to set up have a much larger weight, such as 1000-6000. In the gif, the animation causes the eyes to look left, and the default frame is the eyes looking forward. With this loop, I should never see the eyes looking forward.

Activities

guest

2021-02-27 04:52

reporter  

21-2-26_02 Flicker.gif (41,594 bytes)   
21-2-26_02 Flicker.gif (41,594 bytes)   

ponapalt

2021-05-15 07:30

administrator   ~0000328

Last edited: 2021-05-15 07:31

Please write such as this, if you want to display ID=601 part infinitely:

animation1102.interval,never
animation1102.pattern0,overlay,601,0,0,0
animation1102.pattern1,overlay,601,10,0,0
animation1102.pattern2,start,1102

Notes :

  • pattern0 negative wait (-1) is invalid.
  • The cause of flickering is pattern1 ID=-1 overlay. It disables ID=601 overlay for a moment and lead to unexpected flickering sometimes.
  • Multiple animation definition of same image ID is valid, and it's convenient as a dummy definition to avoid wait=0 infinite loop.

guest

2021-05-21 18:21

reporter   ~0000351

Sorry for reopening this with a big text wall. I changed the -1 waits on my animations to 0, and it didn't seem to help.
I had simplified my code a lot to try and pinpoint the exact issue, but I think it might help to see the full context now. The ghost I was working on that uses this has been released here: https://zichqec.github.io/s-the-skeleton/index.html Though I haven't had a chance to update it yet, so it still has the -1 waits instead of 0.

My goal isn't to have a frame display indefinitely; the actual goal is to have a set of animations on a loop, and have which animation gets called be random.

//This is the 'control animation' which starts when this surface is called, and picks a random animation from the ones below
animation1200.interval,runonce
animation1200.pattern0,alternativestart,(1201,1202,1203,1204)

//These are the arm poses that can be called. They appear for a little while, then hide themselves and call the control animation again.
animation1201.interval,never
animation1201.pattern0,interpolate,1200,0,0,0
animation1201.pattern1,interpolate,-1,1000-5000,0,0
animation1201.pattern2,start,1200

animation1202.interval,never
animation1202.pattern0,interpolate,1201,0,0,0
animation1202.pattern1,interpolate,-1,1000-5000,0,0
animation1202.pattern2,start,1200

animation1203.interval,never
animation1203.pattern0,interpolate,1202,0,0,0
animation1203.pattern1,interpolate,-1,1000-5000,0,0
animation1203.pattern2,start,1200

animation1204.interval,never
animation1204.pattern0,interpolate,1203,0,0,0
animation1204.pattern1,interpolate,-1,1000-5000,0,0
animation1204.pattern2,start,1200

This technique works really well for my intended purpose. I have 4 different arms that all need to animate independantly, which makes replace out of the question. This also avoids layering issues; if these were all given the random method with the same chance of appearing, animation1204 would be seen the most often because it would appear on top of the other animations and cover them up.
The only problem I've run into with this method is that tiny little flicker. It doesn't seem affected by the Adjust SERIKO Wait option, I can't make it be any longer or any shorter. Nothing I do seems to affect it.
If nothing can be done then I will accept the flicker. This technique has allowed me to create some interesting shell animations though, so I'm hoping this issue can be fixed

ponapalt

2021-06-06 14:10

administrator   ~0000375

Please try below script after updating SSP 2.5.03.

//This is the 'control animation' which starts when this surface is called, and picks a random animation from the ones below
animation1200.interval,runonce
animation1200.pattern0,stop,1201
animation1200.pattern1,stop,1202
animation1200.pattern2,stop,1203
animation1200.pattern3,stop,1204
animation1200.pattern4,alternativestart,(1201,1202,1203,1204)

//These are the arm poses that can be called. They appear for a little while, then hide themselves and call the control animation again.
animation1201.interval,never
animation1201.pattern0,interpolate,1200,0,0,0
animation1201.pattern1,interpolate,1200,1000-5000,0,0
animation1201.pattern2,start,1200

animation1202.interval,never
animation1202.pattern0,interpolate,1201,0,0,0
animation1202.pattern1,interpolate,1201,1000-5000,0,0
animation1202.pattern2,start,1200

animation1203.interval,never
animation1203.pattern0,interpolate,1202,0,0,0
animation1203.pattern1,interpolate,1202,1000-5000,0,0
animation1203.pattern2,start,1200

animation1204.interval,never
animation1204.pattern0,interpolate,1203,0,0,0
animation1204.pattern1,interpolate,1203,1000-5000,0,0
animation1204.pattern2,start,1200

ponapalt

2021-06-06 14:10

administrator   ~0000376

(status changed)

ponapalt

2021-06-22 17:13

administrator   ~0000411

(status changed)

Issue History

Date Modified Username Field Change
2021-02-27 04:52 guest New Issue
2021-02-27 04:52 guest File Added: 21-2-26_02 Flicker.gif
2021-03-01 11:02 ponapalt Assigned To => ponapalt
2021-03-01 11:02 ponapalt Status new => assigned
2021-05-15 07:30 ponapalt Status assigned => closed
2021-05-15 07:30 ponapalt Resolution open => no change required
2021-05-15 07:30 ponapalt Note Added: 0000328
2021-05-15 07:30 ponapalt Note Edited: 0000328
2021-05-15 07:31 ponapalt Note Edited: 0000328
2021-05-21 18:21 guest Status closed => feedback
2021-05-21 18:21 guest Resolution no change required => reopened
2021-05-21 18:21 guest Note Added: 0000351
2021-06-06 14:10 ponapalt Note Added: 0000375
2021-06-06 14:10 ponapalt Status feedback => resolved
2021-06-06 14:10 ponapalt Fixed in Version => 2.5 (リリース)
2021-06-06 14:10 ponapalt Note Added: 0000376
2021-06-22 17:13 ponapalt Status resolved => closed
2021-06-22 17:13 ponapalt Note Added: 0000411